Subject: bug#29461: Wishlist: better facilities for debugging undo problems

From: Noam Postavsky <[email-masked]>
Date: Sun, 26 Nov 2017 14:59:58 -0500

Severity: wishlist

See also https://debbugs.gnu.org/cgi/bugreport.cgi?bug=29118#21

To make debugging trouble with undo easier, it would nice to have a way
to "replay" and "rewind" operations to easily see what they do.  And a
way to visualize the meaning of undo list elements without actually
"playing" them, as it's hard to see what a pair of buffer positions
refers to at a glance.

I've written some crude visualization code for markers under
elpa/packages/yasnippet/yasnippet-debug.el.